### AUTOUPDATE-OFF: 9
Name:          libmikmod
Version:       3.3.12
Release:       2mamba
Summary:       Library supporting many sound formats
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://mikmod.sourceforge.net/
Source:        http://downloads.sourceforge.net/project/mikmod/libmikmod/%{version}/libmikmod-%{version}.tar.gz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
BuildRequires: libalsa-devel
BuildRequires: libesound-devel
BuildRequires: automake
BuildRequires: autoconf
Requires(post):%{__install_info}

%description
Libmikmod is a sound library capable of playing audio samples as well as tracker modules.
Supported module formats include MOD, S3M, XM, IT, MED, MTM and 669.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{version}-%{release}

%description devel
Libmikmod is a sound library capable of playing audio samples as well as tracker modules.
Supported module formats include MOD, S3M, XM, IT, MED, MTM and 669.
This package contains static libraries and header files needed for development.

%prep
%setup -q

%build
%cmake -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post devel
%install_info mikmod.info
:

%preun devel
%uninstall_info mikmod.info
:

%files
%defattr(-,root,root)
%{_libdir}/libmikmod.so.*
%doc AUTHORS COPYING.LESSER COPYING.LIB

%files devel
%defattr(-,root,root)
%{_bindir}/libmikmod-config
%{_includedir}/mikmod.h
%{_libdir}/libmikmod.a
%{_libdir}/libmikmod.so
%{_libdir}/pkgconfig/libmikmod.pc
%doc NEWS README TODO

%changelog
* Sat Feb 15 2025 Silvan Calarco <silvan.calarco@mambasoft.it> 3.3.12-2mamba
- fixed missing requirement for /usr/sbin/install-info and specfile fixes

* Tue Dec 31 2024 Automatic Build System <autodist@openmamba.org> 3.3.12-1mamba
- automatic version update by autodist

* Sun Aug 06 2017 Automatic Build System <autodist@mambasoft.it> 3.3.11.1-1mamba
- automatic version update by autodist

* Tue Feb 14 2017 Automatic Build System <autodist@mambasoft.it> 3.3.10-1mamba
- automatic version update by autodist

* Wed Aug 17 2016 Automatic Build System <autodist@mambasoft.it> 3.3.9-1mamba
- automatic version update by autodist

* Tue Dec 15 2015 Automatic Build System <autodist@mambasoft.it> 3.3.8-1mamba
- automatic version update by autodist

* Sun Sep 07 2014 Automatic Build System <autodist@mambasoft.it> 3.3.7-1mamba
- automatic version update by autodist

* Wed Mar 26 2014 Automatic Build System <autodist@mambasoft.it> 3.3.6-1mamba
- automatic version update by autodist

* Sun Jan 12 2014 Automatic Build System <autodist@mambasoft.it> 3.3.5-1mamba
- automatic version update by autodist

* Mon Dec 09 2013 Automatic Build System <autodist@mambasoft.it> 3.3.4-1mamba
- automatic version update by autodist

* Fri Oct 18 2013 Automatic Build System <autodist@mambasoft.it> 3.3.3-1mamba
- update to 3.3.3

* Thu Jan 10 2013 Automatic Build System <autodist@mambasoft.it> 3.3.1-1mamba
- update to 3.3.1

* Sat Jul 21 2012 Automatic Build System <autodist@mambasoft.it> 3.2.0-1mamba
- update to 3.2.0

* Sun Jul 04 2010 Davide Madrisan <davide.madrisan@gmail.com> 3.1.12-1mamba
- update to 3.1.12
- fix security issues CVE-2007_6720 and CVE-2009-0179

* Thu Jun 26 2008 Tiziana Ferro <tiziana.ferro@email.it> 3.1.11-3mamba
- add prereq
- update Vendor, Distribution, mantainer, buildrequirements list

* Wed Aug 03 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1.11-2qilnx
- alsa patch cleanups
- install/uninstall info page
- patched to create the music.raw file in the temporary directory in a
  secure way

* Fri Dec 17 2004 Massimo Pintore <massimo.pintore@qilinux.it> 3.1.11-1qilnx
- package created by autospec
